with Interfaces.C; use Interfaces.C;
with dbus_shared_h;
limited with dbus_errors_h;
with System;
with dbus_types_h;
with Interfaces.C.Strings;
with dbus_arch_deps_h;

package dbus_bus_h is

   function dbus_bus_get (arg1 : dbus_shared_h.DBusBusType; arg2 : access dbus_errors_h.DBusError) return System.Address;  -- ../dbus/dbus-bus.h:39:17
   pragma Import (C, dbus_bus_get, "dbus_bus_get");

   function dbus_bus_get_private (arg1 : dbus_shared_h.DBusBusType; arg2 : access dbus_errors_h.DBusError) return System.Address;  -- ../dbus/dbus-bus.h:41:17
   pragma Import (C, dbus_bus_get_private, "dbus_bus_get_private");

   function dbus_bus_register (arg1 : System.Address; arg2 : access dbus_errors_h.DBusError) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-bus.h:44:17
   pragma Import (C, dbus_bus_register, "dbus_bus_register");

   function dbus_bus_set_unique_name (arg1 : System.Address; arg2 : Interfaces.C.Strings.chars_ptr) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-bus.h:46:17
   pragma Import (C, dbus_bus_set_unique_name, "dbus_bus_set_unique_name");

   function dbus_bus_get_unique_name (arg1 : System.Address) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-bus.h:48:17
   pragma Import (C, dbus_bus_get_unique_name, "dbus_bus_get_unique_name");

   function dbus_bus_get_unix_user
     (arg1 : System.Address;
      arg2 : Interfaces.C.Strings.chars_ptr;
      arg3 : access dbus_errors_h.DBusError) return unsigned_long;  -- ../dbus/dbus-bus.h:49:17
   pragma Import (C, dbus_bus_get_unix_user, "dbus_bus_get_unix_user");

   function dbus_bus_get_id (arg1 : System.Address; arg2 : access dbus_errors_h.DBusError) return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-bus.h:52:17
   pragma Import (C, dbus_bus_get_id, "dbus_bus_get_id");

   function dbus_bus_request_name
     (arg1 : System.Address;
      arg2 : Interfaces.C.Strings.chars_ptr;
      arg3 : unsigned;
      arg4 : access dbus_errors_h.DBusError) return int;  -- ../dbus/dbus-bus.h:54:17
   pragma Import (C, dbus_bus_request_name, "dbus_bus_request_name");

   function dbus_bus_release_name
     (arg1 : System.Address;
      arg2 : Interfaces.C.Strings.chars_ptr;
      arg3 : access dbus_errors_h.DBusError) return int;  -- ../dbus/dbus-bus.h:58:17
   pragma Import (C, dbus_bus_release_name, "dbus_bus_release_name");

   function dbus_bus_name_has_owner
     (arg1 : System.Address;
      arg2 : Interfaces.C.Strings.chars_ptr;
      arg3 : access dbus_errors_h.DBusError) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-bus.h:61:17
   pragma Import (C, dbus_bus_name_has_owner, "dbus_bus_name_has_owner");

   function dbus_bus_start_service_by_name
     (arg1 : System.Address;
      arg2 : Interfaces.C.Strings.chars_ptr;
      arg3 : dbus_arch_deps_h.dbus_uint32_t;
      arg4 : access dbus_arch_deps_h.dbus_uint32_t;
      arg5 : access dbus_errors_h.DBusError) return dbus_types_h.dbus_bool_t;  -- ../dbus/dbus-bus.h:65:17
   pragma Import (C, dbus_bus_start_service_by_name, "dbus_bus_start_service_by_name");

   procedure dbus_bus_add_match
     (arg1 : System.Address;
      arg2 : Interfaces.C.Strings.chars_ptr;
      arg3 : access dbus_errors_h.DBusError);  -- ../dbus/dbus-bus.h:71:17
   pragma Import (C, dbus_bus_add_match, "dbus_bus_add_match");

   procedure dbus_bus_remove_match
     (arg1 : System.Address;
      arg2 : Interfaces.C.Strings.chars_ptr;
      arg3 : access dbus_errors_h.DBusError);  -- ../dbus/dbus-bus.h:74:17
   pragma Import (C, dbus_bus_remove_match, "dbus_bus_remove_match");

end dbus_bus_h;
